<%
def imageType = version.startsWith("7") ? "Image" : "Embedded"
%>package ${packageName}

import com.haulmont.cuba.gui.components.AbstractMainWindow
import com.haulmont.cuba.gui.components.${imageType}
import com.haulmont.cuba.gui.components.mainwindow.FtsField
import com.haulmont.cuba.gui.components.mainwindow.SideMenu

import javax.inject.Inject
import kotlin.Map

<%if (classComment) {%>
${classComment}<%}%>
class ${controllerName} : AbstractMainWindow() {
    @Inject
    private lateinit var ftsField: FtsField

    @Inject
    private lateinit var logoImage: ${imageType}

    @Inject
    private lateinit var sideMenu: SideMenu

    @Override
    fun init(params: Map<String, Any?>) {
        super.init(params)

        sideMenu.requestFocus()

        initLayoutAnalyzerContextMenu(logoImage)
        initLogoImage(logoImage)
        initFtsField(ftsField)
    }
}